GNU Radio's SATELLITES Package

gr::satellites::convolutional_encoder_impl Class Reference

`#include <convolutional_encoder_impl.h>`

Inheritance diagram for gr::satellites::convolutional_encoder_impl:
[legend]

## Public Member Functions
| convolutional_encoder_impl (int constraint, const std::vector< int > &polynomials)
| ~convolutional_encoder_impl ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members
Public Types inherited from gr::satellites::convolutional_encoder
typedef boost::shared_ptr< convolutional_encoder > | sptr
Static Public Member Functions inherited from gr::satellites::convolutional_encoder
static sptr | make (int constraint, const std::vector< int > &polynomials)
| Return a shared_ptr to a new instance of satellites::convolutional_encoder.

## Constructor & Destructor Documentation

## ◆ convolutional_encoder_impl()

gr::satellites::convolutional_encoder_impl::convolutional_encoder_impl | ( | int | constraint,
|  | const std::vector< int > & | polynomials )

## ◆ ~convolutional_encoder_impl()

gr::satellites::convolutional_encoder_impl::~convolutional_encoder_impl | ( |  | ) |

## Member Function Documentation

## ◆ general_work()

int gr::satellites::convolutional_encoder_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## ◆ msg_handler()

void gr::satellites::convolutional_encoder_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- convolutional_encoder_impl.h